classification
Title: doc Document that fnmatch.filter supports any kind of iterable not just lists
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, mdk, miss-islington
Priority: normal Keywords: patch

Created on 2019-05-01 14:12 by adelfino, last changed 2021-01-20 15:32 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13039 merged adelfino, 2019-05-01 14:13
PR 23845 merged miss-islington, 2020-12-18 19:11
PR 23846 closed miss-islington, 2020-12-18 19:11
PR 24264 merged miss-islington, 2021-01-20 10:24
Messages (4)
msg341198 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2019-05-01 14:12
Documentation on fnmatch.filter says:

Return the subset of the list of names that match pattern. It is the same as [n for n in names if fnmatch(n, pattern)], but implemented more efficiently.

But the function actual accepts any kind of iterable. I think it should be documented.
msg383320 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-12-18 19:10
New changeset e8d22642105d57007ab1242848a8cbadc7f179df by Andre Delfino in branch 'master':
bpo-36769: Document that fnmatch.filter supports any kind of iterable (#13039)
https://github.com/python/cpython/commit/e8d22642105d57007ab1242848a8cbadc7f179df
msg383323 - (view) Author: miss-islington (miss-islington) Date: 2020-12-18 19:34
New changeset 4b412e830d0a7d3f30af60b9eb285558511d90af by Miss Islington (bot) in branch '3.9':
bpo-36769: Document that fnmatch.filter supports any kind of iterable (GH-13039)
https://github.com/python/cpython/commit/4b412e830d0a7d3f30af60b9eb285558511d90af
msg385325 - (view) Author: miss-islington (miss-islington) Date: 2021-01-20 10:43
New changeset 8f334dbbf04582071d1318e5817e2fe99f1e5169 by Miss Islington (bot) in branch '3.8':
bpo-36769: Document that fnmatch.filter supports any kind of iterable (GH-13039)
https://github.com/python/cpython/commit/8f334dbbf04582071d1318e5817e2fe99f1e5169
History
Date User Action Args
2021-01-20 15:32:51iritkatrielsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.10, - Python 3.7
2021-01-20 10:43:33miss-islingtonsetmessages: + msg385325
2021-01-20 10:24:02miss-islingtonsetpull_requests: + pull_request23089
2020-12-18 19:34:36miss-islingtonsetmessages: + msg383323
2020-12-18 19:11:34miss-islingtonsetpull_requests: + pull_request22707
2020-12-18 19:11:24miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22706
2020-12-18 19:10:28mdksetnosy: + mdk
messages: + msg383320
2019-05-01 14:13:08adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request12958
2019-05-01 14:12:45adelfinocreate